# Standard Libraries
from enum import Enum

# Third Party Libraries

# Project Specific Libraries

# Constants
class Status(Enum):
    SUCCESS: str = "Success"
    FAILURE: str = "Failure"
    QUEUED: str = "Queued"
    IN_PROCESS: str = "InProcess"
    CREATED: str = "Created"

class Management(Enum):
    WORKERS: tuple = ('whisper-transcribe', 'aws-transcribe', 'gcp-transcribe', 'argos-translate', 'caption-engine', 'evaluator', 'orchestrator')
    SIMPLE_TASKS: tuple = ('transcribe', 'translate', 'evaluate', 'caption')
    COMPLEX_TASKS: tuple = ('benchmark', 'subtitles')
    TASKS: tuple = SIMPLE_TASKS + COMPLEX_TASKS  


# Usage Example
if __name__ == "__main__":
    # Example usage
    print(Management.WORKERS.value)  # Access the workers
    print(Management.SIMPLE_TASKS.value)  # Access simple tasks
    print(Management.COMPLEX_TASKS.value)  # Access complex tasks
    print(Management.TASKS.value)  # Access all tasks

