# Standard Libraries
from uuid import UUID
from datetime import datetime

# Third Party Libraries
from pydantic import BaseModel, ConfigDict

# Project Specific Libraries
from univocalcore.schemas.tasks.enums import Tasks


PYDANTIC_BASIC_CONFIG = ConfigDict(
    str_strip_whitespace=True,
    populate_by_name=True
)

class TaskData(BaseModel):
    task_id: UUID
    task_type: Tasks
    created_time: datetime
    end_time: datetime | None
    model_config = PYDANTIC_BASIC_CONFIG
